/*
 * Copyright (c) 2003 by Diamond Systems Corporation. All Rights Reserved.
 * Use of this source code is subject to the terms of Diamond Systems 
 * Software License Agreement.
 *
 * DALI C/C++ Client demo program
 * See the DALI user manual for information on this API
 *
 * DALI client software must be installed on your system or this program
 * will not compile.  By default it will connect to a DALI server running
 * on your system.  Edit the env.service parameter below to talk to a
 * DALI server on a remote system.
 */

#include <stdio.h>
#include <stdlib.h>
#include "dalic.h"

int main(int argc, char *argv[])
{
	DALIENV env; // DALI client handle
	DALIBOARD *boards; // Board list
	int count; // Number of boards
	int result; // Holds the error code
	int i;

	/* Initialize the client.  Always call this first */
	DALIInit(&env);

	/* Service URL for the DALI server.  Switch to "https" for SSL
	 * encryption.  Change IP to talk to a different server */
	env.service = "http://127.0.0.1:8444/dali/soap/demo";

	result = DALIGetBoardInfo(&env, &boards, &count);
	if ( result )
		printf("DALI error: %s (%d)\n", env.last_error, result);
	else
		for ( i = 0; i < count; i++ )
			printf("Board %s (type %d) at address 0x%X\n", (boards+i)->board, 
				(boards+i)->boardtype, (boards+i)->baseaddress);

	free(boards);

	/* Closes any network connections and frees memory associated
	 * with the client handle */
	DALIFree(&env);
	return 0;
}

