<?php 
  require_once("dali.php");
  require_once("libnusoap.php");

  $service = "http://localhost:$DALI_port/dali/soap/";
  $namespace = "http://diamondsystems.com/dali/";
  $soapclient = new soapclient($service);

  if ( isset($_POST["alarm"]) ) {
  	$params = array("alarmid" => intval($_POST["alarm"]));
    $result =  $soapclient->call('UnregisterAlarm', $params, $namespace);
  	if ( isset($result) && is_array($result) )
    	$error .= "Unregister alarm failed: " . $result["faultstring"] . " (" . $result["detail"] . ")<br>";
  }

  $params = array();
  $result =  @$soapclient->call('GetAlarmInfo', $params, $namespace);

  $title = ": Alarms";
  require_once("header.php"); 

  if ( $error )
      echo "<div class=\"dalierror\">" . $error . "</div>";

?>

<table class="dalilist">
<tr>
  <th class="dalilist">Board</th>
  <th class="dalilist">Condition</th>
  <th class="dalilist">Expires</th>
  <th class="dalilist">Notify Service</th>
  <th class="dalilist">Commands</th>
</tr>

<?php
  if ( isset($result) && is_array($result[0]) ) {
	foreach ($result as $i => $a) {
		$condition = $a["channeltype"] . " " . $a["channel"] . " " . $a["alarmtype"];
		if ( $a["alarmtype"] == "OUTOFRANGE" ) 
			$condition .= " " . $a["lowvalue"] . " to " . $a["highvalue"] . "";

		echo "<tr>\n"
		  . "<td class=\"dalilist\">" . $a["board"] . "</td>\n"
		  . "<td class=\"dalilist\">" . $condition .  "</td>\n"
		  . "<td class=\"dalilist\">" . date("m/d/y G:i:s T ", $a["expires"]) . "</td>\n"
		  . "<td class=\"dalilist\">" . $a["service"] . "</td>\n"
		  . "<td class=\"dalilist\"><form class=\"daliform\" method=\"post\" action=\"alarms.php\"><input class=\"dalibutton\" type=\"submit\" name=\"delalarm\" value=\"Cancel Alarm\"><input type=\"hidden\" name=\"alarm\" value=\"" .  $a["id"] . "\"></form></td>\n"
		  . "</tr>\n";
    }
  } else {
	echo "<tr><td class=\"dalilist\" align=\"center\" colspan=\"5\">No Alarm information is available</td></tr>";
  }
?>

</table>

<br><br><br>
<br><br><br>

<?php require_once("footer.php"); ?>
