<?php 
  require_once("dali.php");

  if ( empty($_POST["board"]) || quotemeta($_POST["board"]) != $_POST["board"] ) {
    header("Location: config.php");
	exit;
  }

  $board = array();
  $board["board"] = $_POST["board"];
  $board["ad"] = array();
  $board["da"] = array();
  $board["dioin"] = array();
  $board["dioout"] = array();

  $fp = fopen($DALI_board_dir . "/" . $_POST["board"], "r");		
  while ( !feof($fp) ) {
  	$buffer = fgets($fp);
	if ( !strncasecmp($buffer, "DALI BOARD ", 11) ) {
		list($type, $addr) = sscanf(substr($buffer, 11), "%s %s");
		$board["type"] = $type;
		$board["addr"] = $addr;
	} else if ( !strncasecmp($buffer, "DIOCONFIG ", 10) ) {
		$board["dioconfig"] = rtrim(substr($buffer, 10));
	} else if ( !strncasecmp($buffer, "OPTIONS ", 8) ) {
		$board["options"] = rtrim(substr($buffer, 8));
	} else if ( !strncasecmp($buffer, "CH ", 3) ) {
		list($type, $ch, $security) = sscanf(substr($buffer, 3), "%s %s %s");
		$board[strtolower($type)][$ch] = $security;
	}
  }
  fclose($fp);

  $title = ": Board Details";
  require_once("header.php"); 
?>
<table class="dalilist">
<tr>
  <th class="dalilist">Board Alias</th>
  <th class="dalilist">Board Type</th>
  <th class="dalilist">Base Address</th>
  <th class="dalilist">DIO Config</th>
  <th class="dalilist">Options</th>
</tr> <tr>
  <td class="dalilist"><?= $board["board"] ?>&nbsp;</td>
  <td class="dalilist"><?= $board["type"] ?>&nbsp;</td>
  <td class="dalilist"><?= $board["addr"] ?>&nbsp;</td>
  <td class="dalilist"><?= $board["dioconfig"] ?>&nbsp;</td>
  <td class="dalilist"><?= $board["options"] ?>&nbsp;</td>
</tr> <tr>
  <th class="dalilist" colspan="5">Channel Configuration</th>
</tr> <tr>
  <th class="dalilist">Type</th>
  <th class="dalilist">Number</th>
  <th class="dalilist" colspan="3">Security</th>
</tr>
<?php
	foreach ($board["ad"] as $ch => $security)
		echo "<tr><td class=\"dalilist\">AD</td><td class=\"dalilist\">$ch</td><td class=\"dalilist\" colspan=\"3\">$security</td></tr>";

	foreach ($board["da"] as $ch => $security)
		echo "<tr><td class=\"dalilist\">DA</td><td class=\"dalilist\">$ch</td><td class=\"dalilist\" colspan=\"3\">$security</td></tr>";

	foreach ($board["dioin"] as $ch => $security)
		echo "<tr><td class=\"dalilist\">DIO IN</td><td class=\"dalilist\">$ch</td><td class=\"dalilist\" colspan=\"3\">$security</td></tr>";

	foreach ($board["dioout"] as $ch => $security)
		echo "<tr><td class=\"dalilist\">DIO OUT</td><td class=\"dalilist\">$ch</td><td class=\"dalilist\" colspan=\"3\">$security</td></tr>";
?>

</table>

<br><br><br>
<br><br><br>

<?php require_once("footer.php"); ?>
