<?php 
  /* DALI configuration file */
  require_once("dali.php");

  /* htgroup: 3rd party open source library for group management */
  require_once("libhtgroup.php");
  $htgroup = new Htgroup($DALI_group_file);
  if ( !$htgroup->SANE ) {
	$error .= "Unable to open group file: " . $htgroup->ERROR . "<br>";
  }

  /* htpasswd: 3rd party open source library for user management */
  require_once("libhtpasswd.php");
  $htpasswd = new Htpasswd($DALI_passwd_file);
  if ( !$htpasswd->SANE ) {
	$error .= "Unable to open passwd file: " . $htpasswd->ERROR . "<br>";
  }

  /* Do not delete the Administrators group */
  if ( !empty($_POST["delgroup"]) && $_POST["group"] == "Administrators" ) {
  	$error .= "The Administrators group cannot be deleted<br>";
	$_POST["delgroup"] = "";
  }

  /* Do not remove admin from the Administrators group */
  if ( !empty($_POST["remove"]) && $_POST["user"]  == "admin" && $_POST["group"] == "Administrators" ) {
  	$error .= "The admin user cannot be removed from the Administrators group<br>";
	$_POST["remove"] = "";
  }

  /* Process group creation request */
  if ( !empty($_POST["newgroup"])) {
  	if ( !strchr($_POST["newgroup"], " ") && quotemeta($_POST["newgroup"]) == $_POST["newgroup"] && htmlentities($_POST["newgroup"]) == $_POST["newgroup"]) {
  		$status = $htgroup->addGroup($_POST["newgroup"]);
		if ( $status ) {
			header("Location: groups.php");
			exit;
		}

		$error .= "Unable to create group: " . $htgroup->ERROR . "<br>";
	} else {
		$error .= "Unable to create group: Invalid group name<br>";
	}
  }

  /* Process add user to group request */
  if ( !empty($_POST["add"]) && !empty($_POST["user"]) && !empty($_POST["group"]) ) {
  	$status = $htgroup->addUserToGroup($_POST["user"], $_POST["group"]);
	if ( $status ) {
		header("Location: groups.php");
		exit;
	}

	$error .= "Unable to add user to group: " . $htgroup->ERROR . "<br>";
  }

  /* Process remove user from group request */
  if ( !empty($_POST["remove"]) && !empty($_POST["user"]) && !empty($_POST["group"]) ) {
  	$status = $htgroup->deleteUserFromGroup($_POST["user"], $_POST["group"]);
	if ( $status ) {
		header("Location: groups.php");
		exit;
	}

	$error .= "Unable to remove user from group: " . $htgroup->ERROR . "<br>";
  }

  /* Process delete group request */
  if ( !empty($_POST["delgroup"]) && !empty($_POST["group"]) ) {
  	$status = $htgroup->deleteGroup($_POST["group"]);
	if ( $status ) {
		header("Location: groups.php");
		exit;
	}

	$error .= "Unable to delete group: " . $htgroup->ERROR . "<br>";
  }

  /* Build the user list select box ahead of time */
  $user_select = "<select class=\"dalipulldown\" name=\"user\">";
  foreach ( $htpasswd->USERS as $id => $u) {
  	$user_select .= "<option>" . $htpasswd->USERS[$id]["user"] . "</option>";
  }
  $user_select .= "</select>";

  /* Display the header */
  $title = ": Groups";
  require_once("header.php"); 

  if ( $error )
  	echo "<div class=\"dalierror\">" . $error . "</div>";

?>

<table class="dalilist">
<tr>
  <th class="dalilist">Group Name</th>
  <th width="100%" class="dalilist">Members</th>
  <th class="dalilist">Add/Remove Members</th>
  <th class="dalilist">Commands</th>
</tr>

<?php
  foreach ($htgroup->GROUPS as $group => $users) {
    echo "<tr><td class=\"dalilist\">" . $group . "</td>";

	echo "<td class=\"dalilist\">";
	foreach ($users as $i => $u) {
		if ( $i == 0 )
    		echo "$u";
		else
    		echo ", $u";
	}
	echo "&nbsp;</td>"
?>

<td class="dalilist"><form class="daliform" method="post" action="groups.php">
  <input type="hidden" name="group" value="<?= $group ?>">
  <nobr>
  <?= $user_select ?>
  <input class="dalibutton" type="submit" name="add" value="Add">
  <input class="dalibutton" type="submit" name="remove" value="Remove">
  </nobr>
  </form></td>
  <td class="dalilist"><form class="daliform" method="post" action="groups.php"><input class="dalibutton" type="submit" name="delgroup" value="Delete Group"><input type="hidden" name="group" value="<?= $group ?>"></form></td>
  </tr>
<?php
  }
?>
</table>

<form class="daliform" method="post" action="groups.php">
<table class="daliform">
<tr>
  <th class="daliform" colspan="2">Create Group</th>
</tr> <tr>
  <td class="daliform">Group Name</td>
  <td class="daliform"><input type="text" name="newgroup" value="<?= $_POST["newgroup"] ?>"></td>
</tr>
  <td colspan="2" class="daliform"><input class="dalibutton" type="submit" value="Create"></td>
</tr>
</table>
</form>

<?php require_once("footer.php"); ?>
