<?php 
  require_once("dali.php");

  require_once("libhtpasswd.php");
  $htpasswd = new Htpasswd($DALI_passwd_file);
  if ( !$htpasswd->SANE ) {
	$error .= $htpasswd->ERROR . "<br>";
  }

  require_once("libhtgroup.php");
  $htgroup = new Htgroup($DALI_group_file);
  if ( !$htgroup->SANE ) {
	$error .= $htgroup->ERROR . "<br>";
  }


  if ( !empty($_POST["delete"]) && $_POST["user"] == "admin" ) {
	$error = "The admin user may not be deleted";
	$_POST["delete"] = "";
  }

  if ( !empty($_POST["delete"]) ) {
	$users = $htgroup->getUsers();
	if ( in_array($_POST["user"], $users) ) {
	  $error = "Remove user from groups before deleting";
	  $_POST["delete"] = "";
	}
  }

  if ( !empty($_POST["delete"]) && !empty($_POST["user"]) ) {
 	$status = $htpasswd->deleteUser($_POST["user"]);
	if ( $status ) {
		header("Location: users.php");
		exit;
	}
  }

  if ( !empty($_POST["chpass"]) && !empty($_POST["user"]) ) {
  	if ( strlen($_POST["newpass"]) > $DALI_min_password_length 
		&& $_POST["newpass"] == $_POST["confirmpass"] ) 
	{
		$status = $htpasswd->changePass($_POST["user"], $_POST["newpass"]);
		if ( $status ) {
			header("Location: users.php");
			exit;
		}

		$error = "Unable to change password: " . $htpasswd->ERROR . "<br>";
	}

	$title = ": Change Password";
	include_once("header.php");
	if ( $eroror )
		echo "<div class=\"dalierror\">$error</div>";
    ?>

<form class="daliform" method="post" action="users.php">
<table class="daliform" border="1">
<tr>
	<td class="daliform">Username</td>
	<td class="daliform"><?= htmlentities($_POST["user"]) ?></td>
</tr><tr>
	<td class="daliform">Password</td>
	<td class="daliform"><input type="password" name="newpass"></td>
</tr><tr>
	<td class="daliform">Confirm</td>
	<td class="daliform"><input type="password" name="confirmpass"></td>
</tr>
	<td class="daliform" colspan="2"><input class="dalibutton" type="submit" value="Update">
	<input class="dalibutton" type="submit" name="cancel" value="Cancel"></td>
</tr>
</table>
</form>

	<?php
	require_once("footer.php");
	exit;
  }

  if ( !empty($_POST["newuser"])) {
  	if ( strlen($_POST["pass"]) >= $DALI_min_password_length ) {
  		$status = $htpasswd->addUser($_POST["newuser"], $_POST["pass"]);
		if ( $status ) {
			header("Location: users.php");
			exit;
		}

		$error .= "Unable to create user: " . $htpasswd->ERROR . "<br>";
	} else {
		$error .= "Unable to create user: Invalid password<br>";
	}
  }

  $title = ": Users";
  require_once("header.php"); 

	if ( $error )
		echo "<div class=\"dalierror\">$error</div>";

?>

<table class="dalilist">
<tr>
  <th width="100%" class="dalilist">Username</th>
  <th class="dalilist">Commands</th>
</tr>
<?php
  foreach ($htpasswd->USERS as $id => $user) {
  ?>
<tr>
  <td class="dalilist"><?= $user["user"] ?></td>
  <td class="dalilist">
    <form class="daliform" method="post" action="users.php">
	  <input type="hidden" name="user" value="<?= $user["user"] ?>">
	  <nobr>
	  <input class="dalibutton" name="chpass" type="submit" value="Password">
	  <input class="dalibutton" name="delete" type="submit" value="Delete">
	  </nobr>
	</form>
  </td>
  <?php
  }
?>
</table>

<br><br>

<form class="daliform" method="post" action="users.php">
<table class="daliform">
<tr>
  <th class="daliform" colspan="2">Create User</th>
</tr> <tr>
  <td class="daliform">Username</td>
  <td class="daliform"><input type="text" name="newuser" value="<?= $_POST["newuser"] ?>"></td>
</tr><tr>
  <td class="daliform">Password</td>
  <td class="daliform"><input type="password" name="pass"></td>
</tr>
  <td class="daliform" colspan="2" align="right"><input class="dalibutton" type="submit" value="Add User"></td>
</tr>
</table>
</form>

<?php require_once("footer.php"); ?>
