<?php
	require_once("dali.php");
	require_once("libnusoap.php");

	$channel = intval(getvar("channel", 0));
	$count = intval(getvar("count", 10));
	$hz = intval(getvar("hz", 10));
	$range = intval(getvar("range", 10));
	$gain = intval(getvar("gain", 1));
	$polarity = getvar("polarity", "Bipolar");

	$service = "http://$DALI_host:$DALI_port/dali/soap/$DALI_board";
	$namespace = "http://diamondsystems.com/dali/";
	$soapclient = new soapclient($service);

	$adsettings = array( 'range' => $range, 'gain' => $gain, 'polarity' => $polarity);
	$params = array( 'channel' => $channel, 'count' => $count, 'hz' => $hz, 'settings' => $adsettings);

	$result =  @$soapclient->call('ADSampleMulti', $params, $namespace); 

	require_once("header.php");
?>
<html>
<body>

<h3><font color="red">LIVE RESULT:
<?
  if ( isset($result) && is_int($result[0]) ) {
  	foreach ($result as $i => $sample)
		echo " $sample";
  } else {
  	  echo "Failed: " . $result["faultstring"] . " (" . $result["detail"] . ")";
  }
?>
</font></h3>

<h3>Example Code: adsamplemulti.php</h3>

<pre>
require_once("libnusoap.php");

$service = "http://<?= $DALI_host ?>:<?= $DALI_port ?>/dali/soap/<?= $DALI_board ?>";
$namespace = "http://diamondsystems.com/dali/";
$soapclient = new soapclient($service);

$adsettings = array( 'range' => <?= $range ?>, 'gain' => <?= $gain ?>, 'polarity' => '<?= $polarity ?>');
$params = array( 'channel' => <?= $channel ?>, 'count' => <?= $count ?>, 'hz' => <?= $hz ?>, 'settings' => $adsettings);

$result =  $soapclient->call('ADSampleMulti', $params, $namespace); 
echo $result;
</pre>

<h3>Configure Parameters</h3>
<form method="GET" action="adsamplemulti.php">
<table border="1" cellpadding="5">
<tr>
  <td align="right">Channel</td>
  <td><input type="text" name="channel" value="<?= $channel ?>"></td>
</tr><tr>
  <td align="right">Count</td>
  <td><input type="text" name="count" value="<?= $count ?>"></td>
</tr><tr>
  <td align="right">Hz</td>
  <td><input type="text" name="hz" value="<?= $hz ?>"></td>
</tr><tr>
  <td align="right">Range</td>
  <td><select name="range">
	<option <?= $range == 10 ? "selected" : "" ?>>10</option>
  	<option <?= $range == 5 ? "selected" : "" ?>>5</option>
	</select></td>
</tr><tr>
  <td align="right">Gain</td>
  <td><select name="gain">
  	<option <?= $gain == 1 ? "selected" : "" ?>>1</option>
	<option <?= $gain == 2 ? "selected" : "" ?>>2</option>
	<option <?= $gain == 4 ? "selected" : "" ?>>4</option>
	<option <?= $gain == 8 ? "selected" : "" ?>>8</option>
	</select></td>
</tr><tr>
  <td align="right">Polarity</td>
  <td><select name="polarity">
	<option <?= $polarity == "Bipolar" ? "selected" : "" ?>>Bipolar</option>
  	<option <?= $polarity == "Unipolar" ? "selected" : "" ?>>Unipolar</option>
	</select></td>
</tr><tr>
  <td colspan="2" align="right"><input type="submit" value="Save"></td>
</tr>
</table>
</form>

</body>
</html>

<?php require_once("footer.php"); ?>
