<?php
	require_once("dali.php");
	require_once("libnusoap.php");

	$low_channel = intval(getvar("low_channel", 0));
	$high_channel = intval(getvar("high_channel", 1));
	$vstr = getvar("values", "0, 4095");

	$values = explode(", ", $vstr);
	foreach ( $values as $i => $v ) {
		$values[$i] = intval($v);
	}

	$service = "http://$DALI_host:$DALI_port/dali/soap/$DALI_board";
	$namespace = "http://diamondsystems.com/dali/";
	$soapclient = new soapclient($service);

	$params = array( 'low_channel' => $low_channel, 'high_channel' => $high_channel, 'values' => $values);

	$result =  $soapclient->call('DAConvertScan', $params, $namespace); 

	require_once("header.php");
?>
<html>
<body>

<h3><font color="red">LIVE RESULT:
<?
  if ( is_int($result) ) {
    echo "Success.";
  } else {
  	  echo $result["faultstring"] . " (" . $result["detail"] . ")";
  }
?>
</font></h3>

<h3>Example Code: daconvertscan.php</h3>

<pre>
require_once("libnusoap.php");

$service = "http://<?= $DALI_host ?>:<?= $DALI_port ?>/dali/soap/<?= $DALI_board ?>";
$namespace = "http://diamondsystems.com/dali/";
$soapclient = new soapclient($service);

$values = array(<?= $vstr ?>);
$params = array( 'low_channel' => <?= $low_channel ?>, 'high_channel' => <?= $high_channel ?>, 'values' => $values );

$result =  $soapclient->call('DAConvertScan', $params, $namespace); 
echo $result;
</pre>

<h3>Configure Parameters</h3>
<form method="GET" action="daconvertscan.php">
<table border="1" cellpadding="5">
<tr>
  <td align="right">Low Channel</td>
  <td><input type="text" name="low_channel" value="<?= $low_channel ?>"></td>
</tr><tr>
  <td align="right">High Channel</td>
  <td><input type="text" name="high_channel" value="<?= $high_channel ?>"></td>
</tr><tr>
  <td align="right">Values</td>
  <td><input type="text" name="values" value="<?= $vstr ?>"></td>
</tr><tr>
  <td colspan="2" align="right"><input type="submit" value="Save"></td>
</tr>
</table>
</form>

</body>
</html>

<?php require_once("footer.php"); ?>
