<?php
	require_once("dali.php");
	require_once("libnusoap.php");

	$low_channel = intval(getvar("low_channel", 0));
	$high_channel = intval(getvar("high_channel", 0));

	$service = "http://$DALI_host:$DALI_port/dali/soap/$DALI_board";
	$namespace = "http://diamondsystems.com/dali/";
	$soapclient = new soapclient($service);

	$params = array( 'low_channel' => $low_channel, 'high_channel' => $high_channel);

	$result =  @$soapclient->call('DAReadbackScan', $params, $namespace); 

	require_once("header.php");
?>
<html>
<body>

<h3><font color="red">LIVE RESULT:
<?
  if ( isset($result) && is_int($result[0]) ) {
  	foreach ($result as $i => $sample)
		echo " $sample";
  } else {
  	  echo "Failed: " . $result["faultstring"] . " (" . $result["detail"] . ")";
  }
?>
</font></h3>

<h3>Example Code: dareadbackscan.php</h3>

<pre>
require_once("libnusoap.php");

$service = "http://<?= $DALI_host ?>:<?= $DALI_port ?>/dali/soap/<?= $DALI_board ?>";
$namespace = "http://diamondsystems.com/dali/";
$soapclient = new soapclient($service);

$params = array( 'low_channel' => <?= $low_channel ?>, 'high_channel' => <?= $high_channel ?>);

$result =  $soapclient->call('DAReadbackScan', $params, $namespace); 
echo $result;
</pre>

<h3>Configure Parameters</h3>
<form method="GET" action="dareadbackscan.php">
<table border="1" cellpadding="5">
<tr>
  <td align="right">Low Channel</td>
  <td><input type="text" name="low_channel" value="<?= $low_channel ?>"></td>
</tr><tr>
  <td align="right">High Channel</td>
  <td><input type="text" name="high_channel" value="<?= $high_channel ?>"></td>
</tr><tr>
  <td colspan="2" align="right"><input type="submit" value="Save"></td>
</tr>
</table>
</form>

</body>
</html>

<?php require_once("footer.php"); ?>
