<?php
	require_once("dali.php");
	require_once("libnusoap.php");

	$channel = intval(getvar("channel", 0));
	$bit = intval(getvar("bit", 0));

	$service = "http://$DALI_host:$DALI_port/dali/soap/$DALI_board";
	$namespace = "http://diamondsystems.com/dali/";
	$soapclient = new soapclient($service);

	$params = array( 'channel' => $channel, 'bit' => $bit);

	$result =  @$soapclient->call('DIOInputBit', $params, $namespace); 

	require_once("header.php");
?>
<html>
<body>

<h3><font color="red">LIVE RESULT:
<?
  if ( isset($result) && is_int($result) ) {
    echo "$result";
  } else {
  	  echo "Failed: " . $result["faultstring"] . " (" . $result["detail"] . ")";
  }
?>
</font></h3>

<h3>Example Code: dioinputbit.php</h3>

<pre>
require_once("libnusoap.php");

$service = "http://<?= $DALI_host ?>:<?= $DALI_port ?>/dali/soap/<?= $DALI_board ?>";
$namespace = "http://diamondsystems.com/dali/";
$soapclient = new soapclient($service);

$params = array( 'channel' => <?= $channel ?>, 'bit' => <?= $bit ?>);

$result =  $soapclient->call('DIOInputBit', $params, $namespace); 
echo $result;
</pre>

<h3>Configure Parameters</h3>
<form method="GET" action="dioinputbit.php">
<table border="1" cellpadding="5">
<tr>
  <td align="right">Channel</td>
  <td><input type="text" name="channel" value="<?= $channel ?>"></td>
</tr><tr>
  <td align="right">Bit</td>
  <td><input type="text" name="bit" value="<?= $bit ?>"></td>
</tr><tr>
  <td colspan="2" align="right"><input type="submit" value="Save"></td>
</tr>
</table>
</form>

</body>
</html>

<?php require_once("footer.php"); ?>
